---
search:
  tags:
    - Channels
    - PATCH
seo:
  description: >-
    Partially updates an… Reference for the PATCH
    /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/{content_id}
    endpoint in the Management API.
sidebar:
  label: Update Channel Content Override
  badge: PATCH
title: Update Channel Content Override
type: openapi-operation
---
Partially updates an existing channel content override. Allows modification of text values or relationship associations based on the field type.

`PATCH /api/v1/{team_slug}/{app_slug}/channels/{channel_id}/content/{content_id}`

**Request body** (`application/json`, required)

Channel content update data

- `relationships` (string[])
- `translations` (github_com_enadhq_nabbit_internal_pkg_webserver_models.LocalizedValue[])
- `value` (string)

Request body example:

```json
{
  "relationships": [
    "string"
  ],
  "translations": [
    {
      "language_code": "string",
      "value": "string"
    }
  ],
  "value": "string"
}
```

**Responses**

- `200` — OK
- `400` — Bad Request
- `404` — Not Found
- `500` — Internal Server Error

Response example, 200:

```json
{
  "data": {
    "created_at": "string",
    "field_type": "string",
    "id": "string",
    "parent_id": "string",
    "parent_type": "string",
    "preview": [
      "string"
    ],
    "relationships": [
      "string"
    ],
    "translations": [
      {
        "language_code": "string",
        "value": "string"
      }
    ],
    "updated_at": "string",
    "value": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
